
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>&amp;ldquo;秒杀&amp;rdquo;心得 / iVAN</title>

    <meta name="description" content="&amp;ldquo;秒杀&amp;rdquo;心得     本文记录对某网站A的秒杀活动编写秒杀器的经历和技术重点.   故事回顾     某日早上,朋友给我说最近A网站在开展秒杀活动,有IPad.IPhone,让大家一起去秒杀.结果我们四个人一起秒,都没有别人快,没有一个人秒到.然后下午我就开始尝试分析它网站的秒杀流程,并尝试使用自动提交数据的方案来进行秒杀.结果,在晚上的时候,成功做出了第一个版本的秒杀器,然后我们一起秒杀了几个IPad(大家都想要IPad,而对IPhone没兴趣,汗).     当时就用网银付了帐,等待它发货.接下来我们每个">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">&amp;ldquo;秒杀&amp;rdquo;心得</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>    本文记录对某网站A的秒杀活动编写秒杀器的经历和技术重点。</p>
<p> </p>
<p><strong>故事回顾</strong></p>
<hr>
 <br />    某日早上，朋友给我说最近A网站在开展秒杀活动，有IPad、IPhone，让大家一起去秒杀。结果我们四个人一起秒，都没有别人快，没有一个人秒到。然后下午我就开始尝试分析它网站的秒杀流程，并尝试使用自动提交数据的方案来进行秒杀。结果，在晚上的时候，成功做出了第一个版本的秒杀器，然后我们一起秒杀了几个IPad（大家都想要IPad，而对IPhone没兴趣，汗）。</p>
<p>    当时就用网银付了帐，等待它发货。接下来我们每个人一个接一个地接到了A网站打来的电话，确定我们是不是作弊了，哈哈，我们当然打死不会承认了～</p>
<p>    过了半个来月，该网站又发起了新一轮的秒杀活动，但是由于之前发现有许多人作弊，所以这次全面更改了网站的流程，随机出现各种题目让会员回答，回答成功才能继续秒杀。这样，难度就大了些，一开始以为它们是题库，后来发现原来所有的题目都是自动生成的。元旦也没闲着，花了几天时间，改出了第二个版本的秒杀器，智能解题。经测试，目前没有失败过。</p>
<p> </p>
<p><strong>第一版本</strong></p>
<hr>
 <br />    以下简明扼要地描述所有的<strong>分析流程</strong>：</p>
<p>    分析网站秒杀流程，得出“入口页面”的地址。但是尝试登录此页面失败，返回活动等待页面，并提示：“活动未开始”。</p>
<p>    写了一个简单的控制台程序，在活动开始时立刻运行此程序，<strong>快速地打开了20-40个入口页面</strong>。此时，发现有一半左右的页面进入成功，到达“提交页面”。提交页面中需要填写一些必要的个人信息，最下面是一个提交按钮。估计这是A网站秒杀的最后一道关。</p>
<p>    把提交页面的客户端源代码全部保存下来，尝试进行分析。<strong>发现表单中需要填写的是</strong>：一些固定信息、一些隐藏域（HiddenField）、图片验证码。</p>
<p>    <strong>隐藏域中</strong>需要提交一些如：当时秒杀活动Id、用户Id等的信息。这些信息只要在网站中多分析一下就能得出。</p>
<p>    <strong>验证码</strong>：这个目前并没有什么好的办法能自动识别验证码，网上虽然有此类程序，不过我懒得去下载了，直接把验证码的图片显示在程序中，人工录入就好了。这样做的原因是，以我的经验，他们的验证码十有八九存储在服务端Session中，也有可能是客户端Cookie中，也就是说，验证码是可以提前获取的，并不一定需要等等活动开始后再获取。所以只要在临近活动开始的前2分钟获取并录入验证码就行了。</p>
<p>    这样，所有的数据都准备好了，接下来就是如何让程序<strong>自动填写数据</strong>并提交到网站上。<strong>这是重点，也是难点</strong>。如果纯粹使用后台代码模拟提交的话，就需要保证后台代码拥有已经被网站验证通过后的Cookie。之前我做过类似的提交程序，但是准备假Cookie的工作一直没有成功过，也比较麻烦。由于这次时间比较紧，没法再试验这种纯正的方案。所以静下心来想别的方案。后来灵机一动决定使用<strong>控制浏览器的方案</strong>来试试：在秒杀程序中嵌入一个浏览器，在浏览器中执行登录操作。这样，登录成功后的Cookie，就由浏览器自己来维护，而我要做的就是控制浏览器中页面的运行，让它以我的方式加载页面、填写数据、提交数据。在提交数据时，浏览器也会自动把Cookie一并提交。这样就可以在登录的状态下，把前面准备好的数据直接自动提交给服务器。</p>
<p>    最后一个问题，让浏览器先访问A网站的页面，登录并拿到登录成功的凭证后，如何让浏览器运行我的代码来提交数据呢？我试了一下在WPF应用程序中直接使用WPF自带的浏览器控件，并研究它的API。在WebBrowser类的API列表中，我发现以下方法：</p>
<pre>public void NavigateToString(string text);
public object InvokeScript(string scriptName);</pre>
<p>这正是我想要的啊，先构造一个模拟的页面，使用NavigateToString到这个页面上，然后使用InvokeScript方法来调用javascript提交表单到表单上指定的网站的地址就行了！</p>
<p>    OK，至此，全部设计完成。由于验证码已经在活动前就准备好了，所以整个过程基本上是完全自动化的，速度当然比人快多了，IPad自然也就手到擒来！</p>
<p> </p>
<p><strong>第二版本</strong></p>
<hr>
<br />    上面已经说过，网站改版后的秒杀活动，已经使用随机出现的题目来防止作弊。所以这次我的主要任务就是如何<strong>自动答题</strong>！其次，分析网站的提交页面中的表单，发现有很多的隐藏域是一连串随机的数字，没有任何规律，估计这些数据是每次活动都不一样的，所以再使用第一版中静态的模拟页面提交数据的方法不行了，必须<strong>使用动态的页面</strong>，把这些随机的数据都保留下来，并一起提交，或者直接在A网站发回来的页面中填写数据再提交。</p>
<p>    首先，第一直觉就是获取大量的提交页面，提取出获取到的所有题目，存储在题目库中。答题时，直接在题库中进行匹配，如果找到相同的题目，则直接使用题目库中的答案进行回答。</p>
<p>    当时，简单地画了一个流程的设计：</p>
<p><a href="http://images.cnblogs.com/cnblogs_com/zgynhqf/201101/201101072313088866.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19jMGIyZmIwMTY5ZGMyYWVkMGJkM2I3Mzg5MmY3NDZmMC5wbmc=.jpg"></a></p>
<p>    后来在该次活动的最后一轮秒杀时，程序开发完成，并开始使用。结果，发现没有一题匹配成功，都找不到答案，全部都显示到了右边的窗口中人为回答，结果我还答错了！！！活动结束！！！</p>
<p>    很气人啊，这样的方案根本不行。后来分析了半天，发现原来所有的题目都是程序自动生成的，只是模式固定而已。所以改了设计方案，遵循设计模式写了一些类来自动回答题目，类结构如下：</p>
<p><a href="http://images.cnblogs.com/cnblogs_com/zgynhqf/201101/201101072313101491.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19iY2E2NWVmZDljM2NmYmU4YjM0Njk1NDFjNWMwNzQ4Ni5wbmc=.jpg"></a> <a href="http://images.cnblogs.com/cnblogs_com/zgynhqf/201101/201101072313115994.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ181YjJhZWNhZmRjNTZmMjg3ZWE5NTcyZDdjYjM0Y2Y1Yy5wbmc=.jpg"></a></p>
<p>这里，只贴一个子类的代码，展示一下解答的模式。这个子类的逻辑也是所有题目中最复杂的一个：</p>
<p> </p>
<pre>class TallerAlgorithm : SelectionQuestionAlgorithm
{
	internal override void TryComplete(SelectionQuestion question)
	{
		var match = Regex.Match(question.Content, @"小(?&lt;a&gt;.)比小(?&lt;b&gt;.)(?&lt;abUnit&gt;.)，小(?&lt;c&gt;.)比小(?&lt;d&gt;.)(?&lt;cdUnit&gt;.)，请问他们当中谁最(?&lt;finalUnit&gt;.)？");
		if (match.Success)
		{
			var a = match.Groups["a"].Value;
			var b = match.Groups["b"].Value;
			var c = match.Groups["c"].Value;
			var d = match.Groups["d"].Value;

			var abUnit = match.Groups["abUnit"].Value;
			var cdUnit = match.Groups["cdUnit"].Value;
			var finalUnit = match.Groups["finalUnit"].Value;

			var winner1 = abUnit == finalUnit ? a : b;
			var loster1 = abUnit == finalUnit ? b : a;
			var winner2 = cdUnit == finalUnit ? c : d;
			var loster2 = abUnit == finalUnit ? d : c;

			string champion = null;

			if (winner1 == winner2) champion = winner1;
			else if (winner1 == loster2) champion = winner2;
			else if (winner2 == loster1) champion = winner1;

			if (!string.IsNullOrWhiteSpace(champion))
			{
				question.RightAnswer = question.Answers
					.SingleOrDefault(an =&gt; an.Text.Contains(champion));
			}
		}
	}
}</pre>
<p> </p>
<p>    其次，是<strong>动态的页面的整理</strong>：把里面的题目都提取出来，自动答题之后，填写答案，插入一些提交的Javascript代码。然后继续使用NavigateToString、InvokeScript来提交数据。过程中，有两点心得：</p>
<p>1. 在一开始控制浏览器导向提交页面后，发现无法获取Html源代码，花了些时间研究，没搞出来。查了半天网页，最后使用WinForm中的WebBrowser来解决了这个问题。<strong>WinForm中WebBrowser</strong>不象WPF中的WebBrowser，它拥有着强大的API，DocumentText属性就取到了源代码。</p>
<p>2. 这次我使用了<strong>LinqToXml</strong>来维护Html Dom中的所有内容，发现XLinq的API实在是太方便了，查找某个元素，更改某个属性。如果没有XLinq，相同的功能，我可能需要3-5倍的时间来完成。</p>
<p> </p>
<p><strong>总结</strong></p>
<hr>
<br />    这次秒杀器编写的过程，让我的一个心结给解了。一直以来，就想完全控制网页客户端程序的运行：大四在电信的时候，老总让我给领导刷票；再后来有要人给我给论坛自动提交数据。这些需求都需要持有客户端的用户凭证，然后用这个身份给服务端自动发送一些请求。一直使用纯后台代码的方式提交，没有成功过。这次，使用控制浏览器的方案，使得真正做到了一直想做到的：“<strong>完全控制客户端</strong>”。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-11 00:49:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/cookie/" title="cookie">cookie</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>&amp;ldquo;秒杀&amp;rdquo;心得的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLoNZb.html" rel="bookmark">如何实现进程间数据通讯技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.引言 在Windows程序中,各个进程之间常常需要交换数据,进行数据通讯.WIN32 API提供了许多函数使我们能够方便高效地进行进程间的通讯,通过这些函数我们可以控制不同进程间的数据交换,就如同在WIN16中对本地进程进行读写操作一样. 典型的WIN16两进程可以通过共享内存来进行数据交换:(1)进程A将GlobalAlloc(GMEM_SHARE...)API分配一定长度的内存:(2)进程A将GlobalAlloc函数返回的句柄传递给进程B(通过一个登录消息):(3)进程B对这个句柄调用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7KVAM.html" rel="bookmark">C&num;：异步编程和线程的使用（&period;NET 4&period;5 ）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  异步编程和线程处理是并发或并行编程非常重要的功能特征.为了实现异步编程,可使用线程也可以不用.将异步与线程同时讲,将有助于我们更好的理解它们的特征.   本文中涉及关键知识点   1. 异步编程 2. 线程的使用 3. 基于任务的异步模式 4. 并行编程 5. 总结   异步编程   什么是异步操作?异步操作是指某些操作能够独立运行,不依赖主流程或主其他处理流程.通常情况下,C#程序从Main方法开始,当Main方法返回时结束.所有的操作都是按顺序执行的.执行操作是有序列的,一个操作必须等到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrXm8p.html" rel="bookmark">PHP教程：如何实现301重定向</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是301重定向?301重定向就是当你的网站地址发生变化时,例如更换域名,网站改版等等,你希望访客或者搜索引擎跳到新的地址上访问网站,这时就需要你做301重定向了.实现301重定向有很多方法,本文主要介绍PHP程序怎么实现301重定向.     实现301重定向PHP代码     &lt;?php     $the_host = $_SERVER['HTTP_HOST'];  //标记取得当前域名     $request_url = isset($_SERVER['REQUEST_URI'])?$			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7Gqdb.html" rel="bookmark">premiere cs6快捷键大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Adobe premiere Pro cs6是一款编辑画面质量比较好的软件,有较好的兼容性,且可以与adobe公司推出的其他软件相互协作.想要软件熟练使用,常用快捷键是必须记住的.西西今天整理了premiere cs6工作中会使用到的快捷键. Premiere Pro CS6 默认键盘快捷键 结果 Windows Mac OS 文件     新建     项目... Ctrl+Alt+N Opt+Cmd+N 序列... Ctrl+N Cmd+N 来自剪辑的序列     素材箱   Cmd+/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWAgrp.html" rel="bookmark">linux安装oracle11g数据库步骤详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.安装开发包组 yum groupinstall &quot;Development Libraries&quot; &quot;Development Tools&quot;   2.安装其他软件包 yum install -y libaio glibc compat-libstdc++-33.x86_64 elfutils-libelf-devel\* gcc-c++ libaio-devel unixODBC\* readline\* glibc-2.12-1.80.el6.i686 libXex			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQqlVp.html" rel="bookmark">&lbrack;置顶&rsqb;&period;NET平台开源项目速览&lpar;13&rpar;机器学习组件Accord&period;NET框架功能介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    Accord.NET Framework是在AForge.NET项目的基础上封装和进一步开发而来.因为AForge.NET更注重与一些底层和广度,而Accord.NET Framework更注重与机器学习算法以及提供计算机视频.音频.信号处理以及统计应用相关的解决方案.该项目使用C#语言编写,项目主页:http://accord-framework.net/     说明:该文章只是一个基本介绍,主要内容是翻译的官方文档和介绍,部分英文表述个人能力有限,不太熟悉,所以直接照搬原文,有比较			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmYVQM.html" rel="bookmark">制作简单启动兼容性好的U盘维护工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       这款U盘启动工具盘是本人使用syslinux启动工具,选用其他人出的工具盘映像文件制作而成,已使用三年多了,兼容性非常好,目前还没有遇到不能启动的机器,感兴趣的朋友可以试用一下. 启动信息由syslinux制作,解决了之前使用DOS启动再调动dos4grub和直接使用grub启动方式时,一些机器不能启动的问题. 包括的工具说明: 1.DOS工具使用了深度出的DOS工具.PM8.05 DOS版以及MAXDOS7.1工具盘的img映像文件: 2.WINPE使用的是深度4.0 U盘工具中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZX2qz.html" rel="bookmark">Win10系统电脑怎么设置DNS地址&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.谷歌全球通用DNS地址: 首选DNS地址:8.8.8.8备选DNS地址:8.8.4.4 2.国内知名的114 DNS地址 首选DNS地址:114.114.114.114备选DNS地址:114.114.115.115114DNS 3.阿里云公共DNS地址 首选DNS地址:223.5.5.5备选DNS地址:223.6.6.6 4.百度公共DNS地址 首选DNS地址:180.76.76.76备选DNS地址:暂时(设置的时候,可以使用上面的其他DNS地址,替代一些备选) Win10设置DNS地址教程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8ADw4z.html" rel="bookmark">企业平均每年遭遇9起有针对性攻击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是 :  企业平均每年遭遇9起有针对性攻击  , 高级持续性攻击( APT )可能比想象的更普遍:最新研究发现,在过去12个月中,企业平均遭遇9起这种有针对性的攻击.根据Ponemon研究所名为“高级持续性攻击的现状”的报告(由Trusteer委托)显示,近一半的企业称,攻击者成功地从他们的内部网络窃取了机密或者敏感信息.Ponemon对曾经有过预防和检测有针对性攻击经验的755名IT和IT安全专业人士进行了调查. Ponemon发现受害企业需要很长一段时间才能发现他们已经遭受这种攻击.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0Pj6M.html" rel="bookmark" class="title">jsp-我同时用了字符流和response，产生了这个错误，但我需要跳转页面，怎么解决？？？</a>
					<div>
						问题描述 我同时用了字符流和response,产生了这个错误,但我需要跳转页面,怎么解决??? 2015-1-28 17:42:09 org.apache.catalina.core.Standard ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwxKRb.html" rel="bookmark" class="title">工厂方法真的支持OCP   开闭原则吗？</a>
					<div>
						问题描述 工厂方法真的支持OCP 开闭原则吗? 开闭原则:我们在设计一个模块的时候应当使这个模块可以在不被修改的前提下被扩展换句话说就是应当可以在不必修改源代码的情况下改变这个模块的行为.工厂方法增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ5D4p.html" rel="bookmark" class="title">论析搜索引擎：网站建设如何跃然居上</a>
					<div>
						在互联网这个平台一些人是为了创业生存着,一些人是公司企业打品牌.但是创业就要闯出去,打品牌就要真正的打出去,很多网站建设个一年两年也是种维持在&quot;半死不活&quot;的状态.面对这样一个始终没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwg4qz.html" rel="bookmark" class="title">jsp与sql语句的混合使用示例</a>
					<div>
						 这篇文章主要介绍了jsp与sql语句的混合使用,需要的朋友可以参考下 话不多说,直接上例子  insert   代码如下: String sql=&quot;insert into allorder ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBmV4b.html" rel="bookmark" class="title">Oracle增量备份的机制</a>
					<div>
						  RMAN中增量备份有两种类型:Differential方式和Cumulative方式,备份的等级分为0.1.2.3.4分为5个等级,其中0级级别最高. 差异备份Differential(对于上级甚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKeB5p.html" rel="bookmark" class="title">小功能添乐趣，人生日历让生活更有意思！</a>
					<div>
						现代人生活节奏紧凑,忙碌和压力无处不在,在日复一日重复的生活中找到乐趣十分重要.不忽略生活的细节,才能更好的体会生活的味道.日历在日常生活里必不可少,今天小编要推荐一款&quot;有意思&quot;的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo72oVb.html" rel="bookmark" class="title">js 处理数组重复元素示例代码</a>
					<div>
						 数组重复元素如何处理,这是在项目实战中经常遇到的,针对这个问题,下文给出详细解决方法,希望对大家有所帮助 代码如下: function doSz{    var kzly==[&quot;a&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1V9yb.html" rel="bookmark" class="title">酷我k歌使用教程</a>
					<div>
						  1.找歌:您可以在&quot;点歌台&quot;标签页中,按榜单.歌手主题等查找歌曲,还能在合唱榜单内与TA进行合唱,同时您也可以直接使用搜索功能来找寻自己喜欢的歌曲. 2.点歌:选择好歌曲后,点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKrkJM.html" rel="bookmark" class="title">如何制作U盘启动盘&quest;</a>
					<div>
						  随着技术的不断进步,现在安装计算机操作系统渐渐远离了光盘,越来越多的人开始使用U盘装系统,小编推荐一款工具 ,它是针对普通用户与技术人员开发的一款U盘工具,可以实现一键U盘装系统.个性化设置U盘界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwAnGp.html" rel="bookmark" class="title">怎么将PDF转换成PPT演示稿？</a>
					<div>
						  一.选择转换模式.PDF转换成PPT转换器目前支持八大转换模式,包括常见的pdf转word.PDF转换Excel.PDF转图片等,点击图标勾选即可. 二.添加文件.点击PDF转换成PPT转换器的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y2JXM.html" rel="bookmark" class="title">区域-移动3G上网方式的疑问</a>
					<div>
						问题描述 移动3G上网方式的疑问 手机通过电信3G上网,打开网络后,查看本机获取到的IP是10.9.4.21,这是一个内网IP, 如果是电脑宽带上网的话,拨号后会随机得到一个公网IP,想问下,3G上网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRL7Vz.html" rel="bookmark" class="title">分布式计算-分布式深度优先生成树</a>
					<div>
						问题描述 分布式深度优先生成树 刚学习分布式计算,谁能给我讲一下,在分布式中,深度优先生成树怎么生成的(比如有什么通信规则),最简单的就好,谢谢了. 解决方案 无向图的深度优先生成树					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwKy4M.html" rel="bookmark" class="title">关于1Byte 1K 1M 1G&lpar;换算&rpar;</a>
					<div>
						1个字节等于8位二进制 .... 1byte=8bit 1K = 1024 byte =1024byte*8b 说白一点就是 1M等于1024个K组成,而1K又等于1024B,所以1M等于1024K乘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N2Qnz.html" rel="bookmark" class="title">如何取得datagridview中某个单元格的值？？？在线等</a>
					<div>
						问题描述 如题.... 解决方案 解决方案二:知道了.解决方案三:兄弟,知道了,貼出來看看啊.我也想知道.謝謝咯!!!解决方案四:stringa=datagridview1.rows[1][2].te ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm607Bz.html" rel="bookmark" class="title">大学生编程疑问-大一新生的程序设计大作业，火车每条线路的链表在什么时建立？求人教已绝望</a>
					<div>
						问题描述 大一新生的程序设计大作业,火车每条线路的链表在什么时建立?求人教已绝望 这个题要求必须把每条线路都存在链表中,是要建一一个五个元素的结构体数组链表吗,最关键的是我知道火车的信息存在文件中,是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK68qb.html" rel="bookmark" class="title">C&num;WINFROM的PicTureBox控件，可以显示AI图么？如果，可以应该怎么写？</a>
					<div>
						问题描述 跪求答案,百度找不到. 解决方案 解决方案二:需要你自己解析文件了,或者找个控件,dll之类的东西,不直接支持解决方案三:图呢,你这个问的问题不详细啊解决方案四:不详细么?我就是想在PicT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4yR3z.html" rel="bookmark" class="title">批处理 FOR参数&sol;F之tokens详解&lowbar;DOS&sol;BAT</a>
					<div>
						(四)tokens=x,y,m-n 提取列 格式: FOR /F &quot;tokens=x,y,m-n&quot; %%I IN (Command1) DO Command2 用法: 一句话总结: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAdL2M.html" rel="bookmark" class="title">互联网域名管理办法发布 域名注册必须实名</a>
					<div>
						互联网域名注册必须实名 法制网北京9月4日讯 记者万静 记者今天从工业和信息化部获悉,工信部今天外发布了修订后的&lt;互联网域名管理办法&gt;,要求注册域名应向服务商提供域名持有者真实.准确.完整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JVVgz.html" rel="bookmark" class="title">求解决办法-arm中mplayer播放视频闪屏问题怎么解决</a>
					<div>
						问题描述 arm中mplayer播放视频闪屏问题怎么解决 视频播放正常,但是周围只要不是视频区域都是不停的在闪.要怎么做才能让它只在视频区域播放,不影响周围的显示呢 解决方案 http://www.z ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgPZRM.html" rel="bookmark" class="title">双汇王中王吃出肠衣消费者质疑旧肠变新肠</a>
					<div>
						双汇王中王吃出肠衣 双汇王中王吃出肠衣 河北新闻网讯 (记者 张娜) 9月2日,唐山乐亭的曹先生在吃双汇&quot;王中王&quot;火腿肠时,竟从肠体里吃出另一截肠衣,上演了一出&quot;肠中肠& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0AeKp.html" rel="bookmark" class="title">融合让电子词典有了革命性创新</a>
					<div>
						融合让电子词典有了革命性创新 作者:磐石之心 受邀参加消费电子品牌iriver(艾利和)的电子词典D8媒体见面会.带着相机,我提前进入了会场,并拍摄了一组照片.下面展示给各位读者看一下来自iriver ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5B2ap.html" rel="bookmark" class="title">&period;net插件技术</a>
					<div>
						问题描述 想做一个关于c#的程序,需要用到插件技术,但我对这方面没有经验,求教 解决方案 解决方案二:还有就是怎么搭建这个框架解决方案三:看一下MEF解决方案四:表示不懂解决方案五:你要做什么提个问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyaLmz.html" rel="bookmark" class="title">教育支出将占上海财政预算15&percnt;</a>
					<div>
						教育部昨天召开教育规划纲要颁布实施一周年座谈会,上海市在保障教育经费投入方面目标明确,上海市委市政府不断健全教育投入保障机制,切实保证教育优先投入. 在保证教育优先投入方面将有几个重要步骤,一是确保2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE4ZeM.html" rel="bookmark" class="title">初学csharp&comma;一道题不会做</a>
					<div>
						问题描述 rt记录单时间公司交易金额1月1日上海A公司1001月1日上海B公司1001月1日上海A公司1001月2日上海C公司1001月3日上海A公司1001月3日上海B公司1001月4日上海A公司1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze04n0p.html" rel="bookmark" class="title">揭开胜景山河弥天大谎直接推动保荐制度改革</a>
					<div>
						文:张昊有个笑话是说,在胜景山河之前,IPO企业过会后就可以喝庆功酒了.在胜景山河之后,公司不挂牌,这酒就不敢喝.这一则笑话缘于2010年12年16日&lt;每日经济新闻&gt;头版刊发&lt;胜景山 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW2KZz.html" rel="bookmark" class="title">python访问sqlserver示例&lowbar;python</a>
					<div>
						最近遇到了Python访问SqlServer的问题,这里总结下. 一.Windows下配置Python访问Sqlserver 环境:Windows 7 + Sqlserver 2008 1.下载并安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1l6Gb.html" rel="bookmark" class="title">Xcode编译错误&colon;code object is not signed at all</a>
					<div>
						当你在编译某个项目的时候需要用到代码签名(Code Signing)的时候,出现了以下错误.如下图所示: 这个时候解决的办法就是:设置一个签名标志位的值为:--deep.如下图所示: 这样就可以成功编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvBgAb.html" rel="bookmark" class="title">MongoDB 复制集节点增加移除及节点属性配置</a>
					<div>
						复制集(replica Set)或者副本集是MongoDB的核心高可用特性之一,它基于主节点的oplog日志持续传送到辅助节点,并重放得以实现主从节点一致.再结合心跳机制,当感知到主节点不可访问或宕机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx24Njz.html" rel="bookmark" class="title">Fortinet新中文名诠释新安全体系</a>
					<div>
						全球领先的高性能网络安全解决方案供应商Fortinet宣布,其中文名&quot;飞塔&quot;将正式变更为&quot;防特网&quot;. 此次Fortinet中文名称&quot;音译&quot;的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2m5Bz.html" rel="bookmark" class="title">Java Date Time 教程-java&period;sql&period;Timestamp</a>
					<div>
						Java的java.sql.Timestamp类在JDBC API中被使用.如果你需要在java.sql.PreparedStatement上设置日期+时间或者从java.sql.ResultSet获 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
